# Governance

This document outlines the governance model for SAPL.

👉 **Everyone must follow the [Code of Conduct (CoC)](CODE_OF_CONDUCT.md).**

## Get Involved

**Anything that supports SAPL is a valuable contribution!**

All types of contributions are meaningful. This can include code changes, type fixes, Discord activity, and even posting about SAPL to your blog. No contribution is too small!

Look up the [contribution file](CONTRIBUTING.md) for further information.

## Roles

We distinguish three roles in this project, which are organized as levels.
This means that the higher the level, the more privileges and responsibilities are expected.

### 1 - Contributor

You qualify as a Contributor by making or attempting to make contributions, large or small, to the quality, success, or expansion of SAPL.

#### Responsibilities

This role does not require any extra responsibilities or time commitment. We hope you stick around and keep participating in our community!

If you're interested in contributing even more and becoming a **Maintainer**, you can explore some of those responsibilities in the [next section](#2---maintainer).

### 2 - Maintainer

A maintainer is responsible for evaluating contributions and providing in-depth knowledge and support to the project. Maintainers are selected by the BDFL of this project and are recognized members and contributors to this project.

#### Privileges

- Ability to push branches directly to the repository (personal forks no longer needed).
- Ability to review PRs.
- Ability to merge PRs.

#### Responsibilities

- Triage new issues.
- Review pull requests.
- Merge pull requests.
- Merge your pull requests (once reviewed and approved).

### 3 - BDFL

The project has a BDFL (Benevolent Dictator for Life), currently [@heutelbeck](https://github.com/heutelbeck).
As a Dictator, the BDFL has the authority to make all final decisions for the project and overrule anyone else.

His primary responsibility is to set the strategic direction of the project.
He also participates in the community and has the same responsibilities as the maintainers.